
# Class: SerializedLayout

Represents a serialized layout model.
Represents a serialized layout model.

Used in `changeLayout`.

Used in `changeLayout`.

## Hierarchy

* **SerializedLayout**

## Implements

* any
* any

## Index

### Properties

* [canvasSourceRectangleSize](serializedlayout.md#canvassourcerectanglesize)
* [data](serializedlayout.md#optional-data)
* [rawBgItems](serializedlayout.md#optional-rawbgitems)
* [rawMainItems](serializedlayout.md#rawmainitems)

## Properties

###  canvasSourceRectangleSize

• **canvasSourceRectangleSize**: *object*

#### Type declaration:

* **height**: *number*

* **width**: *number*

___

### `Optional` data

• **data**? : *object[]*

Raw serialized items.
Raw serialized items.

___

### `Optional` rawBgItems

• **rawBgItems**? : *Object[]*

Raw items from the `bg` container.
Raw items from the `bg` container.

___

###  rawMainItems

• **rawMainItems**: *object[]*

Raw items from the `main` container.
Raw items from the `main` container.
